%define pypi_name simplejson

Name:           python-%{pypi_name}
Version:        3.19.3
Release:        %mkrel 1
Summary:        Simple, fast, extensible JSON encoder/decoder for Python
Group:          Development/Python
License:        MIT
URL:            https://github.com/simplejson/simplejson
Source0:        %{pypi_source}
BuildRequires:  pkgconfig(python3)
# docs
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinx-rtd-theme)

%description
simplejson is a simple, fast, complete, correct and extensible JSON encoder and
decoder for Python. It is pure Python code with no dependencies, but includes
an optional C extension for a serious speed boost.

%package -n python3-%{pypi_name}
Summary:        Simple, fast, extensible JSON encoder/decoder for Python3
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-simplejson
simplejson is a simple, fast, complete, correct and extensible JSON encoder and
decoder for Python. It is pure Python code with no dependencies, but includes
an optional C extension for a serious speed boost.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%{__python3} ./scripts/make_docs.py
rm docs/.{buildinfo,nojekyll}

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc docs/*


%changelog
* Tue Apr 15 2025 daviddavid <daviddavid> 3.19.3-1.mga10
+ Revision: 2175689
- new version: 3.19.3

* Sat Mar 01 2025 wally <wally> 3.19.2-4.mga10
+ Revision: 2155929
- rebuild for python3.13

* Sat Dec 16 2023 papoteur <papoteur> 3.19.2-3.mga10
+ Revision: 2018332
- rebuild for python3.12

* Thu Dec 07 2023 wally <wally> 3.19.2-2.mga10
+ Revision: 2015257
- rebuild for py3.12

* Tue Nov 28 2023 wally <wally> 3.19.2-1.mga10
+ Revision: 2010664
- new version 3.19.2
- use pyproject rpm macros

* Fri Mar 18 2022 umeabot <umeabot> 3.17.6-2.mga9
+ Revision: 1798936
- Mageia 9 Mass Rebuild

* Fri Feb 11 2022 wally <wally> 3.17.6-1.mga9
+ Revision: 1772899
- new version 3.17.6
- rebuild for python3.10

* Thu Sep 02 2021 wally <wally> 3.17.5-1.mga9
+ Revision: 1744081
- new version 3.17.5

* Sun Mar 14 2021 wally <wally> 3.17.2-3.mga9
+ Revision: 1702868
- rebuild for python 3.9
- rebuild for python 3.9

* Thu Sep 10 2020 guillomovitch <guillomovitch> 3.17.2-1.mga8
+ Revision: 1624267
- new version 3.17.2

* Tue Feb 18 2020 umeabot <umeabot> 3.17.0-2.mga8
+ Revision: 1538417
- Mageia 8 Mass Rebuild

* Wed Nov 20 2019 daviddavid <daviddavid> 3.17.0-1.mga8
+ Revision: 1461836
- new version: 3.17.0

* Sun Sep 08 2019 wally <wally> 3.16.1-5.mga8
+ Revision: 1438327
- rebuild for python3.8
- rebuild for python3.8
- drop python2 support

* Sun Aug 25 2019 wally <wally> 3.16.1-3.mga8
+ Revision: 1431830
- update doc build

* Mon Jan 07 2019 wally <wally> 3.16.1-2.mga7
+ Revision: 1350582
- rebuild for python3.7

* Sun Dec 30 2018 luigiwalser <luigiwalser> 3.16.1-1.mga7
+ Revision: 1346833
- 3.16.1
- update source URL

* Sat Dec 29 2018 luigiwalser <luigiwalser> 3.16.0-1.mga7
+ Revision: 1346597
- 3.16.0

* Sun Sep 23 2018 umeabot <umeabot> 3.13.2-2.mga7
+ Revision: 1300598
- Mageia 7 Mass Rebuild

* Tue Apr 17 2018 kekepower <kekepower> 3.13.2-1.mga7
+ Revision: 1219718
- Update to version 3.13.2
- Rename python-simplejson to python2-simplejson
- Use python_provide

* Sat Aug 05 2017 pterjan <pterjan> 3.8.2-3.mga7
+ Revision: 1135638
- Rebuild for python 3.6

* Mon Jun 27 2016 bcornec <bcornec> 3.8.2-2.mga6
+ Revision: 1037897
- Fix macros !

* Mon Jun 27 2016 bcornec <bcornec> 3.8.2-1.mga6
+ Revision: 1037887
- Update to upstream 3.8.2
- Update to upstream 3.8.1

* Fri Feb 12 2016 umeabot <umeabot> 3.8.0-3.mga6
+ Revision: 958693
- Mageia 6 Mass Rebuild

* Thu Oct 08 2015 tv <tv> 3.8.0-2.mga6
+ Revision: 887467
- BR python-sphinx_rtd_theme
- rebuild for python 3.5

* Sat Sep 19 2015 philippem <philippem> 3.8.0-1.mga6
+ Revision: 881357
- update to 3.8.0, build with speedup extension

* Wed Oct 15 2014 umeabot <umeabot> 3.6.3-4.mga5
+ Revision: 741212
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 3.6.3-3.mga5
+ Revision: 729764
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 3.6.3-2.mga5
+ Revision: 688333
- Mageia 5 Mass Rebuild

* Tue Sep 09 2014 philippem <philippem> 3.6.3-1.mga5
+ Revision: 674415
- update to 3.6.3

* Sat Jun 28 2014 philippem <philippem> 3.5.3-1.mga5
+ Revision: 640535
- update to 3.5.3, Fixes a potential security issue mga#13601

* Sat May 31 2014 pterjan <pterjan> 3.4.0-2.mga5
+ Revision: 629013
- Rebuild for new Python

* Fri Apr 25 2014 philippem <philippem> 3.4.0-1.mga5
+ Revision: 618095
- update to 3.4.0

* Tue Mar 04 2014 philippem <philippem> 3.3.3-1.mga5
+ Revision: 599574
- update to 3.3.3

* Tue Oct 22 2013 umeabot <umeabot> 3.3.0-3.mga4
+ Revision: 544155
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 3.3.0-2.mga4
+ Revision: 499380
- Rebuild to add different pythonegg provides for python 2 and 3

* Tue Jul 02 2013 philippem <philippem> 3.3.0-1.mga4
+ Revision: 449810
- new version 3.3.0, add Python 3

* Sun Jan 13 2013 umeabot <umeabot> 2.6.0-2.mga3
+ Revision: 379515
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 23 2012 philippem <philippem> 2.6.0-1.mga3
+ Revision: 334269
- Update to 2.6.0

* Wed Feb 29 2012 philippem <philippem> 2.3.3-1.mga2
+ Revision: 216054
- Update to 2.3.3.

* Wed Jan 11 2012 philippem <philippem> 2.3.2-1.mga2
+ Revision: 194979
- Update to 2.3.2.

* Sat Dec 17 2011 philippem <philippem> 2.3.0-1.mga2
+ Revision: 183147
- Update to 2.3.0

* Wed Oct 26 2011 philippem <philippem> 2.2.1-1.mga2
+ Revision: 158233
- New upstream 2.2.1

* Wed Apr 13 2011 ahmad <ahmad> 2.1.3-1.mga1
+ Revision: 84130
- update to 2.1.3

* Mon Jan 24 2011 ennael <ennael> 2.1.2-1.mga1
+ Revision: 36805
- imported package python-simplejson


* Mon Nov 29 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.2-1mdv2011.0
+ Revision: 603074
- update to new version 2.1.2

* Fri Oct 29 2010 Michael Scherer <misc@mandriva.org> 2.1.1-2mdv2011.0
+ Revision: 589993
- rebuild for python 2.7

* Sun Apr 04 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.1-1mdv2010.1
+ Revision: 531329
- update to new version 2.1.1

* Sun Mar 28 2010 Sandro Cazzaniga <kharec@mandriva.org> 2.1.0-1mdv2010.1
+ Revision: 528584
- update tp 2.1.0

* Tue Jun 09 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.0.9-1mdv2010.0
+ Revision: 384257
- update to new version 2.0.9

* Sun Jan 11 2009 Funda Wang <fwang@mandriva.org> 2.0.7-1mdv2009.1
+ Revision: 328232
- New version 2.0.7

* Sat Dec 27 2008 Adam Williamson <awilliamson@mandriva.org> 2.0.6-1mdv2009.1
+ Revision: 319720
- fix requires / buildrequires
- rebuild with python 2.6
- new release 2.0.6

* Sat Nov 22 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.0.3-1mdv2009.1
+ Revision: 305881
- update to new version 2.0.3

* Thu Sep 04 2008 Jérôme Soyer <saispo@mandriva.org> 1.9.2-1mdv2009.0
+ Revision: 280563
- New version

* Fri Aug 01 2008 Thierry Vignaud <tv@mandriva.org> 1.7.3-4mdv2009.0
+ Revision: 259780
- rebuild

* Fri Jul 25 2008 Thierry Vignaud <tv@mandriva.org> 1.7.3-3mdv2009.0
+ Revision: 247636
- rebuild
- fix description-line-too-long
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Oct 21 2007 Colin Guthrie <cguthrie@mandriva.org> 1.7.3-1mdv2008.1
+ Revision: 100737
- import python-simplejson


